Package it.ernytech.tdlib

## Class TdApi.DiscardCall

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.DiscardCall

Enclosing class:
  TdApi

    public static class TdApi.DiscardCall
    extends TdApi.Function

Discards a call.

Returns `Ok`

### Field Summary

Fields
`int` `callId` Call identifier.
`long` `connectionId` Identifier of the connection used during the call.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` The call duration, in seconds.
`boolean` `isDisconnected` True, if the user was disconnected.

### Constructor Summary

Constructors
`DiscardCall()` Default constructor.
`DiscardCall​(int callId, boolean isDisconnected, int duration, long connectionId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### callId

    public int callId

Call identifier.

#### isDisconnected

    public boolean isDisconnected

True, if the user was disconnected.

#### duration

    public int duration

The call duration, in seconds.

#### connectionId

    public long connectionId

Identifier of the connection used during the call.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DiscardCall

    public DiscardCall()

Default constructor.

#### DiscardCall

    public DiscardCall​(int callId,
                       boolean isDisconnected,
                       int duration,
                       long connectionId)

Constructor for initialization of all fields.

Parameters:
  `callId` - Call identifier.
  `isDisconnected` - True, if the user was disconnected.
  `duration` - The call duration, in seconds.
  `connectionId` - Identifier of the connection used during the call.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR